* ARFSIM.PRG
* Demonstration program for use of ARFSIM.PRC
* programmed by Rob Schoen (rjschoen@earthlink.net or rjs2@stern.nyu.edu)

* allocate space for 2*n observations in all real series, where n is the
*   desired number of observations to be generated.
allocate 1000

* must use frequency instruction before sourcing arfsim.src.
frequency 1 500

* must source xgamma.src before sourcing arfsim.src.
source(noecho) xgamma.src
source(noecho) arfsim.src

* d is the differencing parameter in an ARFIMA(0,d,0).
compute d = .9
* n is the nuber of observations to be generated.
compute n = 500
* y is the series to contain the ARFIMA(0,d,0) realizations.
clear y

@arfsim d n y

graph
# y
